uploadUrl), generation can proceed; title, negativeTags, and style are required, and all other fields are optionaluploadUrl, title, negativeTags, style, callBackUrluploadUrl specifies the source audio file URL to be processedtitle specifies the title for the generated musicstyle and negativeTags are used to control music and vocal stylelyrics is optional. V6 maximum 5000 characters. If omitted, prompt is used as lyrics when providedprompt, model, vocalGender, styleWeight, weirdnessConstraint, audioWeight, varietytext (text generation), first (first track completed), complete (all completed)curl --location 'https://api.kie.ai/api/v1/generate/add-vocals' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"prompt": "A calm and relaxing piano track.",
"title": "Relaxing Piano",
"negativeTags": "heavy metal, strong drum beats",
"style": "Jazz",
"uploadUrl": "https://example.com/music.mp3",
"callBackUrl": "https://example.com/callback",
"model": "V4_5PLUS",
"vocalGender": "m",
"styleWeight": 0.61,
"weirdnessConstraint": 0.72,
"audioWeight": 0.65,
"lyrics": "[Verse]\nKeep the melody flowing\nInto a gentle bridge\n[Chorus]\nLet the piano rise and fall",
"variety": 1
}'{
"code": 200,
"msg": "success",
"data": {
"taskId": "5c79****be8e"
}
}